Bug 62319 - samba-client gives tbd_open_ex errors mounting
samba-client gives tbd_open_ex errors mounting
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: samba (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-29 12:21 EST by Alan Schmidt
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 15:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Schmidt 2002-03-29 12:21:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
On a fresh installation of Skipjack/Workstation, and as a regular user mounting
an NT 4.0 share, I get tbd_open_ex errors, though the share will mount. 
However, it won't umount unless I become root.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. fgrep '/mnt/web' /etc/fstab
//jester/web  /mnt/web  smbfs  noauto,user,username=Alan 0 0

2. mount /mnt/web
tdb((null)): tdb_open_ex: could not open file /var/cache/samba/unexpected.tdb: 
o such file or directory
tdb((null)): tdb_open_ex: could not open file /var/cache/samba/unexpected.tdb: 
o such file or directory
tdb((null)): tdb_open_ex: could not open file /var/cache/samba/unexpected.tdb: 
o such file or directory
Password: ********

(share is mounted.  Note the absense of "n" in "no such file...")

3. umount /mnt/web
umount: only root can unmount //jester/web from /mnt/web


Additional info:

Results are the same whether I use "smb" or "smbfs" in /etc/fstab

Both smbmnt and smbumount are -rwsr-xr-x

/mnt/web/ is chown-ed as the regular user:group in question (bucky:bucky, as
chance would have it).

/var/cache/samba/ exists, but is empty.
Comment 1 Trond Eivind Glomsrxd 2002-04-10 19:19:00 EDT
Fixed in newer versions, like samba-2.2.3a-5.

Note You need to log in before you can comment on or make changes to this bug.